Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIInputConfig

    java.lang.Object
      org.netbeans.api.xmi.XMIInputConfig

    public abstract class XMIInputConfig

extends Object

Configuration class for objects taking XMI as input (e.g. `XMIReader`).

Constructor Summary
`XMIInputConfig()`

Method Summary
`abstract XMIReferenceResolver` | `getReferenceResolver()` Returns a reference resolver to be used.
`abstract void` | `setReferenceResolver(XMIReferenceResolver resolver)` Sets reference resolver to be used for resolving hrefs when reading XMI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIInputConfig

    public XMIInputConfig()

Method Detail

### setReferenceResolver

    public abstract void setReferenceResolver(XMIReferenceResolver resolver)

  Sets reference resolver to be used for resolving hrefs when reading XMI. XMIReader/Consumer should call `XMIReferenceResolver.register(java.lang.String, java.lang.String, javax.jmi.reflect.RefObject)` for each object deserialized from XMI that has an xmi id associated with it. At the end of the XMI document, the XMI reader/consumer should call `XMIReferenceResolver.resolve(org.netbeans.api.xmi.XMIReferenceResolver.Client, javax.jmi.reflect.RefPackage, java.lang.String, org.netbeans.api.xmi.XMIInputConfig, java.util.Collection)` passing all of unresolved external references (hrefs). For immutable configurations this method throws `UnsupportedOperationException`.

  Parameters:
    `resolver` - Resolver to be used.

### getReferenceResolver

    public abstract XMIReferenceResolver getReferenceResolver()

  Returns a reference resolver to be used. This method should never return `null` for a configuration associated with an XMIReader/Consumer. Otherwise if `null` is returned, the default reference resolver will be used.

  Returns:
    Reference resolver to be used or `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.